/*

	Script Name: RappaTools2
	Category: RemusJuncu.com, RappaTools2
	Website: http://remusjuncu.com/RappaTools2/

	Author: Remus 'RappyBMX' Juncu
	E-Mail: RappyBMX@yahoo.com
	Website: http://remusjuncu.com

*/

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--
-- RappaTools2
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--

macroScript RappaTools2 category:"RemusJuncu.com" buttonText:"RappaTools2" icon:#("RappaTools2", 1) silentErrors:TRUE
--tooltip:"RappaTools2"
(
	on execute do 
		( 
			if ::RappaTools2!=undefined then
			(
				if not ::RappaTools2.inDialog then
				(
					flyState = execute (getIniSetting "$plugcfg\\RappaTools2.ini" "RappaTools2" "flyState")
					thePos = execute (getIniSetting "$plugcfg\\RappaTools2.ini" "RappaTools2" "Position")
					if ( thePos == OK ) then (thePos = [0,200])
					createDialog RappaTools2 125 517 thePos.x thePos.y style:#(#style_borderles) escapeEnable:true
					if (flyState == 1)then( RappaTools2.rappa_fn.dock_left() )else( if (flyState == 2) then RappaTools2.rappa_fn.dock_right() if (flyState == 3) then RappaTools2.rappa_fn.mini_mode() )
				)
				else
				(
					try(
						try(cui.UnRegisterDialogBar ::RappaTools2)catch()
						try(destroyDialog ::RappaTools2)catch()
						--fileIn "$scripts\\RappaTools2\\RappaTools2.mse"
					)catch()
				)
			)
			else
			(
				try(
					try(cui.UnRegisterDialogBar ::RappaTools2)catch()
					try(destroyDialog ::RappaTools2)catch()
					fileIn "$scripts\\RappaTools2\\RappaTools2.mse"
				)catch()
			)
		)
	on altExecute type do try(::RappaTools2.rappa_fn.rt_extra())catch()
)

macroScript RTSaveScene category:"RemusJuncu.com" buttonText:"Save Scene" silentErrors:TRUE
--tooltip:"Save Scene"
(
	on isEnabled Return ::RappaTools2!=undefined
	on isVisible Return ::RappaTools2!=undefined
	on execute do ::RappaTools2.rappa_fn.MakeNewMaxFile()
)

macroScript RTCollapse category:"RemusJuncu.com" buttonText:"CollapseRT" silentErrors:TRUE
--tooltip:"HideRT"
(
	on isEnabled return ::RappaTools2!=undefined
	on isVisible return ::RappaTools2!=undefined
	on execute do ::RappaTools2.rappa_fn.rtCollapse()
)

fn RappaTools2BoxMacro =
(
	macroScript RappaTools2BoxShow
	category:"RappaTools2"
	tooltip:"RappaTools2Box"
	buttontext:"RT2lBox"
	silentErrors:False
	(
		on execute do (
			if ::RappaTools2Box != undefined then(
					try(
						if ::RappaTools2Box.visible == True then(
							::RappaTools2Box.hide()
						)else(
							/* Set the Position */
							::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
							/* Show the Form */
							::RappaTools2Box.show()
							::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
						)
					)catch(
						print "Initializating RappaTools2Box."
						::RappaTools2.MakeRappaTools2Box()
						::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
						::RappaTools2Box.show()
						::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
					)
			)else(
				if ::RappaTools2Box != undefined then(
					/* Set the Position */
					::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
					/* Show the Form */
					::RappaTools2Box.show()
					::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
				)else(
					if ::RappaTools2 != undefined then
					(
						print "Initializating RappaTools2Box."
						try(::RappaTools2.MakeRappaTools2Box()
						::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
						::RappaTools2Box.show()
						::RappaTools2Box.location = dotNetObject "System.Drawing.Point" (mouse.screenpos.x - 400) (mouse.screenpos.y - 108)
						)catch(print "Could not load RappaTools2Box since RappaTools2 is not loaded.")
					)
					else
					(
						print "Could not load RappaTools2Box since RappaTools2 is not loaded."
					)
				)
			)
		)
	)
)

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--
-- ROLLOUT: RENDER
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--

macroScript ObjRen category:"RappaTools2" buttonText:"ObjRen" silentErrors:TRUE
--tooltip:"ObjectRender: render selected object only."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.btn_objr.pressed()
)

macroScript MapView category:"RappaTools2" buttonText:"MapView" silentErrors:TRUE
--tooltip:"MapView: Open material editor and select a texture, make shure u have the material with the texture assigned to a visible object, it will render them ( the obj with that material ) only."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.btn_mapr.pressed()
)

macroScript Ren25 category:"RappaTools2" buttonText:"Render25%" silentErrors:TRUE
--tooltip:"Render at 1/3 of the current size !"
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.testrender25.pressed()
)

macroScript Ren50 category:"RappaTools2" buttonText:"Render50%" silentErrors:TRUE
--tooltip:"Render at half of the current size !"
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.testrender50.pressed()
)

macroScript LastRender category:"RappaTools2" buttonText:"LastRender" silentErrors:TRUE
--tooltip:"Show last render !"
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.btn_showlast.pressed()
)

macroScript View category:"RappaTools2" buttonText:"View" silentErrors:TRUE
--tooltip:"View File! ctrl: View Clipboard Image."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.btn_view.pressed()
)

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--
-- ROLLOUT: VIEWPORT
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--

macroScript ToggleMaps category:"RappaTools2" buttonText:"ToggleMaps" silentErrors:TRUE
--tooltip:"Toggle Maps View."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.toggle_maps.pressed()
)

macroScript ViewLayout category:"RappaTools2" buttonText:"ViewLayout" silentErrors:TRUE
--tooltip:"Toggle View Layout."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.view_layout.pressed()
)

macroScript MapsReload
category:"RappaTools2"
buttonText:"MapsReload"
silentErrors:TRUE
--tooltip:"Reload All Bitmaps."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do ::RappaTools2.mapsreload.pressed()
)

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--
-- ROLLOUT: MODELING
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--

macroScript rt_Vertex category:"RappaTools2" buttonText:"Vertex" Icon:#("SubObjectIcons",1) silentErrors:TRUE
--tooltip:"Sub Object Level 1."
(
	on execute do
	(
		if ( try( ::RappaTools2!=undefined and ::RappaTools2.ckb_ver.enabled)Catch(false) ) then
			(
				try(
					setCommandPanelTaskMode #modify
					modPanel.setCurrentObject $.baseObject
					::RappaTools2.setSubObjLevel 1
				)Catch
				(
					If SubObjectLevel == undefined then Max Modify Mode
					Try(If SubObjectLevel != 1 then SubObjectLevel = 1 Else SubObjectLevel = 0)Catch()
				)
			)
			else
			(
				If SubObjectLevel == undefined then Max Modify Mode
				Try(If SubObjectLevel != 1 then SubObjectLevel = 1 Else SubObjectLevel = 0)Catch()
			)
	)
)

macroScript rt_Edge category:"RappaTools2" buttonText:"Edge" Icon:#("SubObjectIcons",2) silentErrors:TRUE
--tooltip:"Sub Object Level 2."
(
	on execute do
	(
		if (try( ::RappaTools2!=undefined and ::RappaTools2.ckb_edg.enabled)Catch(false) )then
			(
				try(
					setCommandPanelTaskMode #modify
					modPanel.setCurrentObject $.baseObject
					::RappaTools2.setSubObjLevel 2
				)Catch
				(
					If SubObjectLevel == undefined then Max Modify Mode
					Try(If SubObjectLevel != 2 then SubObjectLevel = 2 Else SubObjectLevel = 0)Catch()
				)
			)
		else
			(
				If SubObjectLevel == undefined then Max Modify Mode
				Try(If SubObjectLevel != 2 then SubObjectLevel = 2 Else SubObjectLevel = 0)Catch()
			)
	)
)

macroScript rt_Border category:"RappaTools2" buttonText:"Border" Icon:#("SubObjectIcons",3) silentErrors:TRUE
--tooltip:"Sub Object Level 3."
(
	on execute do
	(
		if (try( ::RappaTools2!=undefined and ::RappaTools2.ckb_bor.enabled)Catch(false) ) then
			(
				try(
					setCommandPanelTaskMode #modify
					modPanel.setCurrentObject $.baseObject
					::RappaTools2.setSubObjLevel 3
				)Catch
				(
					If SubObjectLevel == undefined then Max Modify Mode
					Try(If SubObjectLevel != 3 then SubObjectLevel = 3 Else SubObjectLevel = 0)Catch()
				)
			)
		else
			(
				If SubObjectLevel == undefined then Max Modify Mode
				Try(If SubObjectLevel != 3 then SubObjectLevel = 3 Else SubObjectLevel = 0)Catch()
			)
	)
)

macroScript rt_Polygon category:"RappaTools2" buttonText:"Polygon" Icon:#("SubObjectIcons",4) silentErrors:TRUE
--tooltip:"Sub Object Level 4."
(
	on execute do
	(
		if (try( ::RappaTools2!=undefined and ::RappaTools2.ckb_pol.enabled)Catch(false) ) then
			(
				try(
					setCommandPanelTaskMode #modify
					modPanel.setCurrentObject $.baseObject
					::RappaTools2.setSubObjLevel 4
				)Catch
				(
					If SubObjectLevel == undefined then Max Modify Mode
					Try(If SubObjectLevel != 4 then SubObjectLevel = 4 Else SubObjectLevel = 0)Catch()
				)
			)
		else
			(
				If SubObjectLevel == undefined then Max Modify Mode
				Try(If SubObjectLevel != 4 then SubObjectLevel = 4 Else SubObjectLevel = 0)Catch()
			)
	)
)

macroScript rt_Element category:"RappaTools2" buttonText:"Element" Icon:#("SubObjectIcons",5) silentErrors:TRUE
--tooltip:"Sub Object Level 5."
(
	on execute do
	(
		if (try( ::RappaTools2!=undefined and ::RappaTools2.ckb_ele.enabled)Catch(false)) then
			(
				try(
					setCommandPanelTaskMode #modify
					modPanel.setCurrentObject $.baseObject
					::RappaTools2.setSubObjLevel 5
				)Catch
				(
					If SubObjectLevel == undefined then Max Modify Mode
					Try(If SubObjectLevel != 5 then SubObjectLevel = 5 Else SubObjectLevel = 0)Catch()
				)
			)
		else
			(
				If SubObjectLevel == undefined then Max Modify Mode
				Try(If SubObjectLevel != 5 then SubObjectLevel = 5 Else SubObjectLevel = 0)Catch()
			)
	)
)

macroScript rt_tEndResult category:"RappaTools2" buttonText:"tEndResult" silentErrors:TRUE
--tooltip:"Toggle Show-End-Result."
(
	if (showEndResult == true) then showEndResult = false
	else showEndResult = true
)

macroScript Spinner category:"RappaTools2" buttonText:"Spinner" silentErrors:TRUE
--tooltip:"Change the spinner value."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do try(starttool ::RappaTools2.PolyTools_Spinner)Catch(stoptool ::RappaTools2.PolyTools_Spinner)
)

macroScript dotSpinner category:"RappaTools2" buttonText:"dotSpinner" silentErrors:TRUE
--tooltip:"Change the dot spinner value."
(
	on isVisible return ::RappaTools2!=undefined
	on isEnabled return ::RappaTools2!=undefined
	on execute do try(starttool ::RappaTools2.PolyTools_dotSpinner)Catch(stoptool ::RappaTools2.PolyTools_dotSpinner)
)

macroScript MePoly category:"RappaTools2" buttonText:"MePoly" silentErrors:TRUE
--tooltip:"Convert selection to Editable Poly."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.poly.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.poly.enabled
	on execute do ::RappaTools2.poly.pressed()
)

macroScript World category:"RappaTools2" buttonText:"World" silentErrors:TRUE
--tooltip:"Takes the selected obj in the center of the scene ( position 0 0 0 ) ctrl: z-pozion = 0 (on ground)."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.world.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.world.enabled
	on execute do ::RappaTools2.world.pressed()
)

macroScript CenterPivot category:"RappaTools2" buttonText:"CPivot" silentErrors:TRUE
--tooltip:"CenterPivot: Puts the pivot in the center of the object. ctrl: Puts the pivot at the center bottom of the object. shift: Place Pivot. ctrl+shift: Align Pivot to selected vert."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_centerpivot.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_centerpivot.enabled
	on execute do ::RappaTools2.btn_centerpivot.pressed()
)

macroScript OneObj category:"RappaTools2" buttonText:"OneObj" silentErrors:TRUE
--tooltip:"Makes the selected obj as one."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.atachm.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.atachm.enabled
	on execute do ::RappaTools2.atachm.pressed()
)

macroScript Union category:"RappaTools2" buttonText:"Union" silentErrors:TRUE
--tooltip:"Union: Union selected objects (Pro Boolean). ctrl:Subtract the first selected object (Pro Boolean)."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_union.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_union.enabled
	on execute do ::RappaTools2.btn_union.pressed()
)

macroScript XForm category:"RappaTools2" buttonText:"XForm" silentErrors:TRUE
--tooltip:"Add xform to selection then convert it to Editable Poly. ctrl: Add xForm modifier to selection. ctrl+shift: Add UVW XForm."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_x.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_x.enabled
	on execute do ::RappaTools2.btn_x.pressed()
)

macroScript CopyRep category:"RappaTools2" buttonText:"CopyRep" silentErrors:TRUE
--tooltip:"CopyReplace: Replace selected obj with an copy of the first object."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_copyreplace.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_copyreplace.enabled
	on execute do ::RappaTools2.btn_copyreplace.pressed()
)

macroScript MirrorX category:"RappaTools2" buttonText:"MirrorX" silentErrors:TRUE
--tooltip:"Mirror objects on x axis."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobject.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobject.enabled
	on execute do ::RappaTools2.btn_mirrorobject.pressed()
)

macroScript MirrorY category:"RappaTools2" buttonText:"MirrorY" silentErrors:TRUE
--tooltip:"Mirror objects on x axis."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobjecty.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobjecty.enabled
	on execute do ::RappaTools2.btn_mirrorobjecty.pressed()
)

macroScript MirrorZ category:"RappaTools2" buttonText:"MirrorZ" silentErrors:TRUE
--tooltip:"Mirror objects on x axis."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobjectz.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_mirrorobjectz.enabled
	on execute do ::RappaTools2.btn_mirrorobjectz.pressed()
)

macroScript Mesh category:"RappaTools2" buttonText:"Mesh" silentErrors:TRUE
--tooltip:"Convert selection to Editable Mesh."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.poly.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.poly.enabled
	on execute do ::RappaTools2.rappa_btn.modeling_mesh()
)

macroScript Ring category:"RappaTools2" buttonText:"Ring" silentErrors:TRUE
--tooltip:"Ring Select"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_myring.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_myring.enabled
	on execute do ::RappaTools2.btn_myring.pressed()
)

macroScript Loop category:"RappaTools2" buttonText:"Loop" silentErrors:TRUE
--tooltip:"Loop Select"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_myloop.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_myloop.enabled
	on execute do ::RappaTools2.btn_myloop.pressed()
)

macroScript RingGoL category:"RappaTools2" buttonText:"RingGoL" silentErrors:TRUE
--tooltip:"Ring Go Left."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGOL.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGOL.enabled
	on execute do ::RappaTools2.btn_RingGOL.pressed()
)

macroScript RingGoBoth category:"RappaTools2" buttonText:"RingGoBoth" silentErrors:TRUE
--tooltip:"Ring Go Both Directions."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGoBothDirect.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGoBothDirect.enabled
	on execute do ::RappaTools2.btn_RingGoBothDirect.pressed()
)

macroScript RingGoR category:"RappaTools2" buttonText:"RingGoR" silentErrors:TRUE
--tooltip:"Ring Go Right."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGoR.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_RingGoR.enabled
	on execute do ::RappaTools2.btn_RingGoR.pressed()
)

macroScript NoSub category:"RappaTools2" buttonText:"NoSub" silentErrors:TRUE
--tooltip:"No SO selection for an EditablePoly object."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_nosubselection.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_nosubselection.enabled
	on execute do ::RappaTools2.btn_nosubselection.pressed()
)

macroScript LoopGoL category:"RappaTools2" buttonText:"LoopGoL" silentErrors:TRUE
--tooltip:"Loop Go Left."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoL.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoL.enabled
	on execute do ::RappaTools2.btn_LoopGoL.pressed()
)

macroScript LoopGoBoth category:"RappaTools2" buttonText:"LoopGoBoth" silentErrors:TRUE
--tooltip:"Loop Go Both Directions."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoBothDirect.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoBothDirect.enabled
	on execute do ::RappaTools2.btn_LoopGoBothDirect.pressed()
)

macroScript LoopGoR category:"RappaTools2" buttonText:"LoopGoR" silentErrors:TRUE
--tooltip:"Loop Go Right."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoR.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_LoopGoR.enabled
	on execute do ::RappaTools2.btn_LoopGoR.pressed()
)

macroScript ShrinkS category:"RappaTools2" buttonText:"ShrinkS" silentErrors:TRUE
--tooltip:"Shrinks the current SO selection."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_shrinksoselection.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_shrinksoselection.enabled
	on execute do ::RappaTools2.btn_shrinksoselection.pressed()
)

macroScript Adjacent category:"RappaTools2" buttonText:"Adjacent" silentErrors:TRUE
--tooltip:"Select Adjacent Verts, Edges, Polygons."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_adjacentselecion.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_adjacentselecion.enabled
	on execute do ::RappaTools2.btn_adjacentselecion.pressed()
)

macroScript GrowS category:"RappaTools2" buttonText:"GrowS" silentErrors:TRUE
--tooltip:"Grows the current SO selection."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_growsoselection.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_growsoselection.enabled
	on execute do ::RappaTools2.btn_growsoselection.pressed()
)

macroScript DivEd category:"RappaTools2" buttonText:"DivEd" silentErrors:TRUE
--tooltip:"Devide Edge: in 2 or 3 or 4."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.dividebtn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.dividebtn.enabled
	on execute do ::RappaTools2.dividebtn.pressed()
)

macroScript RConn category:"RappaTools2" buttonText:"R|Conn" silentErrors:TRUE
--tooltip:"Ring Connect... see R|Conn description in the rollout for more info."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_conn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_conn.enabled
	on execute do ::RappaTools2.btn_conn.pressed()
)

macroScript WeldV category:"RappaTools2" buttonText:"WeldV" silentErrors:TRUE
--tooltip:"Weld Verts: weld verts, with a specific Threshold."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_weldverts.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_weldverts.enabled
	on execute do ::RappaTools2.btn_weldverts.pressed()
)

macroScript CleanV category:"RappaTools2" buttonText:"CleanV" silentErrors:TRUE
--tooltip:"Clean Verts: cleans verts, with a specific angleThreshold."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_cleanverts.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_cleanverts.enabled
	on execute do ::RappaTools2.btn_cleanverts.pressed()
)

macroScript ScrewE category:"RappaTools2" buttonText:"ScrewE" silentErrors:TRUE
--tooltip:"ScrewEdge: Chamfers the edge then connects it with random edges."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.screwedge.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.screwedge.enabled
	on execute do ::RappaTools2.screwedge.pressed()
)

macroScript RRing category:"RappaTools2" buttonText:"RRing" silentErrors:TRUE
--tooltip:"Remove Edge Ring."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_removering.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_removering.enabled
	on execute do ::RappaTools2.btn_removering.pressed()
)

macroScript Slide category:"RappaTools2" buttonText:"Slide" silentErrors:TRUE
--tooltip:"Let's u slide the edge loop."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_slide.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_slide.enabled
	on execute do ::RappaTools2.btn_slide.pressed()
)

macroScript FlowC category:"RappaTools2" buttonText:"FlowC" silentErrors:TRUE
--tooltip:"Flow Connect."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_flowconnect.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_flowconnect.enabled
	on execute do ::RappaTools2.btn_flowconnect.pressed()
)

macroScript RLoop category:"RappaTools2" buttonText:"RLoop" silentErrors:TRUE
--tooltip:"Remove Loop."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_removeloop.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_removeloop.enabled
	on execute do ::RappaTools2.btn_removeloop.pressed()
)

macroScript Push category:"RappaTools2" buttonText:"Push" silentErrors:TRUE
--tooltip:"Let's u push or pull the vertexs along their normal."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_push.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_push.enabled
	on execute do ::RappaTools2.btn_push.pressed()
)

macroScript GPoly category:"RappaTools2" buttonText:"GPoly" silentErrors:TRUE
--tooltip:"GeoPoly: create a perfect geometric shape from a polygon."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_geopoly.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_geopoly.enabled
	on execute do ::RappaTools2.btn_geopoly.pressed()
)

macroScript CPoly category:"RappaTools2" buttonText:"CPoly" silentErrors:TRUE
--tooltip:"Create Poly: from selected verts."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_createpoly.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_createpoly.enabled
	on execute do ::RappaTools2.btn_createpoly.pressed()
)

macroScript BridgeE category:"RappaTools2" buttonText:"Bridge" silentErrors:TRUE
--tooltip:"Bridge"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_bridgeedge.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_bridgeedge.enabled
	on execute do ::RappaTools2.btn_bridgeedge.pressed()
)

macroScript DissolP category:"RappaTools2" buttonText:"DissolP" silentErrors:TRUE
--tooltip:"Dissolve Poly: removes the edges that are inside the seleted polygons."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_dissolvepoly.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_dissolvepoly.enabled
	on execute do ::RappaTools2.btn_dissolvepoly.pressed()
)

macroScript SpinE category:"RappaTools2" buttonText:"SpinE" silentErrors:TRUE
--tooltip:"Spin Edge."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_spin.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_spin.enabled
	on execute do ::RappaTools2.btn_spin.pressed()
)

macroScript Shuffle category:"RappaTools2" buttonText:"Shuffle" silentErrors:TRUE
--tooltip:"Shuffle: randomly swaps objects between them."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_shuffle.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_shuffle.enabled
	on execute do ::RappaTools2.btn_shuffle.pressed()
)

macroScript PCenter category:"RappaTools2" buttonText:"PCenter" silentErrors:TRUE
--tooltip:"Point Center: creates a point helper in the center of the selected polygon."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_pointcenter.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_pointcenter.enabled
	on execute do ::RappaTools2.btn_pointcenter.pressed()
)

macroScript Same category:"RappaTools2" buttonText:"Same" silentErrors:TRUE
--tooltip:"Select Polys that are the same."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_samepolys.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_samepolys.enabled
	on execute do ::RappaTools2.btn_samepolys.pressed()
)

macroScript ASGs category:"RappaTools2" buttonText:"A-SGs" silentErrors:TRUE
--tooltip:"Auto SGs: Auto Smoothing Groups."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_autosgs.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_autosgs.enabled
	on execute do ::RappaTools2.btn_autosgs.pressed()
)

macroScript CASGs category:"RappaTools2" buttonText:"CA-SGs" silentErrors:TRUE
--tooltip:"Clear All SGs: removes all the smoothing groups."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_clearallsgs.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_clearallsgs.enabled
	on execute do ::RappaTools2.btn_clearallsgs.pressed()
)

macroScript Relax category:"RappaTools2" buttonText:"Relax" silentErrors:TRUE
--tooltip:"Relax: verts, edges, faces, objects."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_relax.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_relax.enabled
	on execute do ::RappaTools2.btn_relax.pressed()
)

macroScript Hide category:"RappaTools2" buttonText:"Hide" silentErrors:TRUE
--tooltip:"Hide selected SO (Editable Poly)"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_polyhide.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_polyhide.enabled
	on execute do ::RappaTools2.btn_polyhide.pressed()
)

macroScript UnHide category:"RappaTools2" buttonText:"UnHide" silentErrors:TRUE
--tooltip:"UnHide hided SO (Editable Poly)"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_polyunhide.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_polyunhide.enabled
	on execute do ::RappaTools2.btn_polyunhide.pressed()
)

macroScript fillHole category:"RappaTools2" buttonText:"fillHole" silentErrors:TRUE
--toolTip:"FillHole Select 1 polygon within hole and fill an enclosed area."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.fillHole_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.fillHole_btn.enabled
	on execute do ::RappaTools2.fillHole_btn.pressed()
)

macroScript Outline category:"RappaTools2" buttonText:"Outline" silentErrors:TRUE
--toolTip:"Outline Selects the polygon border of the current polygon selection."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.outline_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.outline_btn.enabled
	on execute do ::RappaTools2.outline_btn.pressed()
)

macroScript PolyRotor category:"RappaTools2" buttonText:"PolyRotor" --silentErrors:TRUE
--tooltip:"PolyRotor Move Tool nclick: Move Vert,Edge,Polygon. ctrl: Rectangle Select. shift: Edge Loop Mode."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.rotor_Move_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.rotor_Move_btn.enabled
	on execute do
	(
		::RappaTools2.rotor_Move_btn.checked = true
		::RappaTools2.rotor_Move_btn.changed true
	)
)

macroScript RotorEdgeTool category:"RappaTools2" buttonText:"RotorEdgeTool" silentErrors:TRUE
--tooltip:"PolyRotor Edge Tool click: Slide Edges ctrl: Add Edge Loop. shift: Remove Edge Loop."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.rotor_Edge_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.rotor_Edge_btn.enabled
	on execute do
	(
		::RappaTools2.rotor_Edge_btn.checked = true
		::RappaTools2.rotor_Edge_btn.changed true
	)
)

macroScript AlignTo category:"RappaTools2" buttonText:"AlignTo" silentErrors:TRUE
--toolTip:"Align To. Select First Edge/Polygon."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.alignto_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.alignto_btn.enabled
	on execute do ::RappaTools2.alignto_btn.pressed()
)

macroScript AlignThis category:"RappaTools2" buttonText:"AlignThis" silentErrors:TRUE
--toolTip:"Align This. Select what to align (edges/polygons)."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.alignthis_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.alignthis_btn.enabled
	on execute do ::RappaTools2.alignthis_btn.pressed()
)

macroScript getsetPp category:"RappaTools2" buttonText:"getsetPp" silentErrors:TRUE
--toolTip:"Get/Set Point Position XYZ."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.getsetPp_btn.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.getsetPp_btn.enabled
	on execute do ::RappaTools2.getsetPp_btn.pressed()
)

macroScript ExpertM category:"RappaTools2" buttonText:"ExpertM" silentErrors:TRUE
--tooltip:"Expert Mode.\n ctrl: Show/Hide Command Panel.\n shift: Tweak Mode."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_expertmode.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_expertmode.enabled
	on execute do ::RappaTools2.btn_expertmode.pressed()
)

macroScript BoxOn category:"RappaTools2" buttonText:"BoxOn" silentErrors:TRUE
--tooltip:"Box mode on for selection!!!"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.boxmodeon.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.boxmodeon.enabled
	on execute do ::RappaTools2.boxmodeon.pressed()
)

macroScript BoxOff category:"RappaTools2" buttonText:"BoxOff" silentErrors:TRUE
--tooltip:"Box mode on for selection!!!"
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.boxmodeoff.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.boxmodeoff.enabled
	on execute do ::RappaTools2.boxmodeoff.pressed()
)

macroScript RemoveMat category:"RappaTools2" buttonText:"Remove" silentErrors:TRUE
--tooltip:"Remove Material: from selected obj. ctrl: Removes material to all the obj in the scene. shift: Remove ViewPort Background Image."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.rem_mat.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.rem_mat.enabled
	on execute do ::RappaTools2.rem_mat.pressed()
)

macroScript RanMat category:"RappaTools2" buttonText:"RanM" silentErrors:TRUE
--tooltip:"Random Material: to selection. ctrl: Random Material to all the obj in the scene. shift: Random Material to selection different material."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.ran_mat.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.ran_mat.enabled
	on execute do ::RappaTools2.ran_mat.pressed()
)

macroScript StuffMat category:"RappaTools2" buttonText:"StuffMat" silentErrors:TRUE
--tooltip:"Stuff Material 1."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on execute do ::RappaTools2.mods.pressed()
)

macroScript StuffMat2 category:"RappaTools2" buttonText:"StuffMat2" silentErrors:TRUE
--tooltip:"Stuff Material 2."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on execute do ::RappaTools2.rappa_fn.material_stuff_2()
)

macroScript StuffMat3 category:"RappaTools2" buttonText:"V-Ray Mat" silentErrors:TRUE
--tooltip:"Stuff Material 3."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.mods.enabled
	on execute do ::RappaTools2.rappa_fn.material_stuff_3()
)

macroScript BlackMat category:"RappaTools2" buttonText:"BlackMat" silentErrors:TRUE
--tooltip:"Black Material 1."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.modb.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.modb.enabled
	on execute do ::RappaTools2.modb.pressed()
)

macroScript BlackMat2 category:"RappaTools2" buttonText:"BlackMat2" silentErrors:TRUE
--tooltip:"Black Material 2."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.modb.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.modb.enabled
	on execute do ::RappaTools2.rappa_fn.material_black_2()
)

macroScript WireMat category:"RappaTools2" buttonText:"WireMat" silentErrors:TRUE
--tooltip:"Wire Material."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.shadedwire.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.shadedwire.enabled
	on execute do ::RappaTools2.shadedwire.pressed()
)

macroScript MatteMat category:"RappaTools2" buttonText:"MatteMat" silentErrors:TRUE
--tooltip:"MatteMaterial."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.shadedwire.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.shadedwire.enabled
	on execute do ::RappaTools2.rappa_fn.material_mattemat()
)

macroScript WhiteMat category:"RappaTools2" buttonText:"WhiteMat" silentErrors:TRUE
--tooltip:"White Material 1."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.modw.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.modw.enabled
	on execute do ::RappaTools2.modw.pressed()
)

macroScript WhiteMat2 category:"RappaTools2" buttonText:"WhiteMat2" silentErrors:TRUE
--tooltip:"White Material 2."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.modw.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.modw.enabled
	on execute do ::RappaTools2.rappa_fn.material_white_2()
)

macroScript makeMultiMat category:"RappaTools2" buttonText:"makeMultiMat" silentErrors:TRUE
--tooltip:"Make MultiMaterial From Selected. ctrl: Make MultiMaterial from images (select folder). shift+ctrl: Makes MultiMat form images but searces sub directories to. SupportedFiles: .jpg .jpeg .psd .tiff .tga .png .bmp .dds .avi .mpg .mpeg .mov."
(
	on isVisible return ::RappaTools2!=undefined and ::RappaTools2.btn_multimat.enabled
	on isEnabled return ::RappaTools2!=undefined and ::RappaTools2.btn_multimat.enabled
	on execute do ::RappaTools2.btn_multimat.pressed()
)

macroScript GetPut category:"RappaTools2" buttonText:"GetPut" silentErrors:TRUE
--tooltip:"Get mat from obj into the selected material slot. ctrl: Put selected meditmaterial to selection."
(
	on isVisible return (try(::RappaTools2!=undefined and ::RappaTools2.btn_getmat.enabled)catch(false))
	on isEnabled return (try(::RappaTools2!=undefined and ::RappaTools2.btn_getmat.enabled)catch(false))
	on execute do ::RappaTools2.btn_getmat.pressed()
)

macroScript GetPutSME category:"RappaTools2" buttonText:"GetPutSME" silentErrors:TRUE
--tooltip:"Get mat from obj into SME."
(
	on isVisible return (try(::RappaTools2!=undefined and ::RappaTools2.btn_getmat.enabled)catch(false))
	on isEnabled return (try(::RappaTools2!=undefined and ::RappaTools2.btn_getmat.enabled)catch(false))
	on execute do ::RappaTools2.rappa_btn.getputsme()
)

--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--
-- THE END
--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx--